<?xml version="1.0"?>
<!DOCTYPE window PUBLIC "-//MOZILLA//DTD XUL V1.0//EN" "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">

<?xml-stylesheet href="chrome://global/skin/global.css" type="text/css"?>
<?xml-stylesheet href="default.css" type="text/css"?>

<window id="wmcfg"
        title="Windows Media Settings"
        xmlns:html="http://www.w3.org/1999/xhtml"
        xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
        xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
        width="360"
        height="306"
        onload="Init()"
        >

<script language="javascript" src="wmcfg.js"></script>

<spacer height="5"/>
<hbox flex="1">
<spacer width="5"/>
<vbox flex="1">
<groupbox>
<label class="titlebar" flex="1">Video Settings</label>
<separator/>
<hbox>
<menulist id="videoCodecList" oncommand="SetPref('videoenc.wm.videoCodec', selectedItem.label)">
    <menupopup>
        <menuitem/>
    </menupopup>
</menulist>
</hbox>
<radiogroup id="videoMode" orient="horizontal" oncommand="onChangeVideoMode(this)">
    <radio label="CBR"/>
    <radio label="Quality Based VBR"/>
    <radio label="Bitrate Based VBR"/>
</radiogroup>
<separator/>
<deck id="bitrateDeck">
<hbox align="center">
    <label id="lblBitrate">Bitrate (KBps):</label>
    <textbox id="vb" size="3" style="text-align:center" onchange="SetPref('overall.video.bitrate', value)"/>
    <scrollbar flex="1" increment="16" pageincrement="128" maxpos="1600" onmouseup="previousSibling.value=getAttribute('curpos');previousSibling.onchange();"/>
    <spacer width="10"/>
</hbox>
<hbox align="center">
    <label id="lblBitrate">Quality (0~100):</label>
    <textbox id="vq" size="3" style="text-align:center"/>
    <scrollbar flex="1" maxpos="100" onmouseup="previousSibling.value=getAttribute('curpos');previousSibling.onchange();"/>
    <spacer width="10"/>
</hbox>
</deck>
</groupbox>
<groupbox>
<label class="titlebar">Audio Settings</label>
<separator/>
<hbox align="center">
<label width="40">Codec:</label>
<menulist id="codecList" oncommand="onChangeAudioCodec(this)">
    <menupopup>
        <menuitem/>
    </menupopup>
</menulist>
</hbox>
<hbox align="center">
<label width="40">Mode:</label>
<menulist id="modeList" oncommand="onChangeAudioMode(this)">
    <menupopup>
        <menuitem/>
    </menupopup>
</menulist>
</hbox>
<hbox align="center">
<label width="40">Format:</label>
<menulist id="formatList" oncommand="SetPref('videoenc.wm.audioFormat', selectedItem.label)">
    <menupopup>
        <menuitem/>
    </menupopup>
</menulist>
</hbox>
</groupbox>
<button label="More Settings" onclick="window.open('/prefs/main.xul?path=videoenc.wm', 'bmarks', 'chrome,width=600,height=300,resizable=yes');"/>
</vbox>
<spacer width="5"/>
</hbox>
</window>